import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class GeneralFunctions {
  static TextInputType textFieldInputType(InputType type) {
    if (type == InputType.normal) {
      return TextInputType.text;
    } else if (type == InputType.password) {
      return TextInputType.visiblePassword;
    } else if (type == InputType.number) {
      return TextInputType.number;
    } else if (type == InputType.email) {
      return TextInputType.emailAddress;
    }
    return TextInputType.text;
  }
}

void hideKeyboard(BuildContext context) {
  //HIDE KEYBOARD
  SystemChannels.textInput.invokeMethod('TextInput.hide');

  //CLEAR FOCUS
  FocusScope.of(context).unfocus();
}

enum InputType { normal, password, number, email }

enum TextFieldValidationType {
  userName,
  email,
  password,
  confirmPassword,
  mobileNumber,
  companyName,
  subDomain
}